local _orig_function = TimerGui._set_jammed

function TimerGui:tase_nearby_player()
	local unit = self._unit
	local pos = unit:position()
	local nearby_players = World:find_units_quick(unit, "sphere", pos, 250, managers.slot:get_mask("criminals"))
	if nearby_players then
		for _, player in ipairs(nearby_players) do
			local attack_data = {
				--empty
			}
			player:character_damage():damage_tase(attack_data)
		end
	end
end

function TimerGui:_set_jammed(jammed)
	if not jammed then
		local tase_chance = 0.2
		if math.random() < tase_chance then
			self:tase_nearby_player()
		end
	end
	return _orig_function(self, jammed)
end
